This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Detail
Vendor Mozilla First view 2011-03-10
Product Seamonkey Last view 2015-03-23
Version 2.5 Type Application
Update beta2  
Edition *  
Language *  
Sofware Edition *  
Target Software *  
Target Hardware *  
Other *  
 
CPE Product cpe:2.3:a:mozilla:seamonkey

Activity : Overall

Related : CVE

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
  Date Alert Description
7.5 2015-03-23 CVE-2015-0818

Mozilla Firefox before 36.0.4, Firefox ESR 31.x before 31.5.3, and SeaMonkey before 2.33.1 allow remote attackers to bypass the Same Origin Policy and execute arbitrary JavaScript code with chrome privileges via vectors involving SVG hash navigation.

6.8 2015-03-23 CVE-2015-0817

The asm.js implementation in Mozilla Firefox before 36.0.3, Firefox ESR 31.x before 31.5.2, and SeaMonkey before 2.33.1 does not properly determine the cases in which bounds checking may be safely skipped during JIT compilation and heap access, which allows remote attackers to read or write to unintended memory locations, and consequently execute arbitrary code, via crafted JavaScript.

4.3 2015-01-14 CVE-2014-8642

Mozilla Firefox before 35.0 and SeaMonkey before 2.32 do not consider the id-pkix-ocsp-nocheck extension in deciding whether to trust an OCSP responder, which makes it easier for remote attackers to obtain sensitive information by sniffing the network during a session in which there was an incorrect decision to accept a compromised and revoked certificate.

7.5 2015-01-14 CVE-2014-8641

Use-after-free vulnerability in the WebRTC implementation in Mozilla Firefox before 35.0, Firefox ESR 31.x before 31.4, and SeaMonkey before 2.32 allows remote attackers to execute arbitrary code via crafted track data.

5 2015-01-14 CVE-2014-8640

The mozilla::dom::AudioParamTimeline::AudioNodeInputValue function in the Web Audio API implementation in Mozilla Firefox before 35.0 and SeaMonkey before 2.32 does not properly restrict timeline operations, which allows remote attackers to cause a denial of service (uninitialized-memory read and application crash) via crafted API calls.

6.8 2015-01-14 CVE-2014-8639

Mozilla Firefox before 35.0, Firefox ESR 31.x before 31.4, Thunderbird before 31.4, and SeaMonkey before 2.32 do not properly interpret Set-Cookie headers within responses that have a 407 (aka Proxy Authentication Required) status code, which allows remote HTTP proxy servers to conduct session fixation attacks by providing a cookie name that corresponds to the session cookie of the origin server.

6.8 2015-01-14 CVE-2014-8638

The navigator.sendBeacon implementation in Mozilla Firefox before 35.0, Firefox ESR 31.x before 31.4, Thunderbird before 31.4, and SeaMonkey before 2.32 omits the CORS Origin header, which allows remote attackers to bypass intended CORS access-control checks and conduct cross-site request forgery (CSRF) attacks via a crafted web site.

5 2015-01-14 CVE-2014-8637

Mozilla Firefox before 35.0 and SeaMonkey before 2.32 do not properly initialize memory for BMP images, which allows remote attackers to obtain sensitive information from process memory via a crafted web page that triggers the rendering of malformed BMP data within a CANVAS element.

7.5 2015-01-14 CVE-2014-8636

The XrayWrapper implementation in Mozilla Firefox before 35.0 and SeaMonkey before 2.32 does not properly interact with a DOM object that has a named getter, which might allow remote attackers to execute arbitrary JavaScript code with chrome privileges via unspecified vectors.

7.5 2015-01-14 CVE-2014-8635

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 35.0 and SeaMonkey before 2.32 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via unknown vectors.

7.5 2015-01-14 CVE-2014-8634

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 35.0, Firefox ESR 31.x before 31.4, Thunderbird before 31.4, and SeaMonkey before 2.32 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via unknown vectors.

4.3 2014-12-11 CVE-2014-8632

The structured-clone implementation in Mozilla Firefox before 34.0 and SeaMonkey before 2.31 does not properly interact with XrayWrapper property filtering, which allows remote attackers to bypass intended DOM object restrictions by leveraging property availability after XrayWrapper removal.

4.3 2014-12-11 CVE-2014-8631

The Chrome Object Wrapper (COW) implementation in Mozilla Firefox before 34.0 and SeaMonkey before 2.31 supports native-interface passing, which allows remote attackers to bypass intended DOM object restrictions via a call to an unspecified method.

6.8 2014-12-11 CVE-2014-1594

Mozilla Firefox before 34.0, Firefox ESR 31.x before 31.3, Thunderbird before 31.3, and SeaMonkey before 2.31 might allow remote attackers to execute arbitrary code by leveraging an incorrect cast from the BasicThebesLayer data type to the BasicContainerLayer data type.

6.8 2014-12-11 CVE-2014-1593

Stack-based buffer overflow in the mozilla::FileBlockCache::Read function in Mozilla Firefox before 34.0, Firefox ESR 31.x before 31.3, Thunderbird before 31.3, and SeaMonkey before 2.31 allows remote attackers to execute arbitrary code via crafted media content.

6.8 2014-12-11 CVE-2014-1592

Use-after-free vulnerability in the nsHtml5TreeOperation function in xul.dll in Mozilla Firefox before 34.0, Firefox ESR 31.x before 31.3, Thunderbird before 31.3, and SeaMonkey before 2.31 allows remote attackers to execute arbitrary code by adding a second root element to an HTML5 document during parsing.

4.3 2014-12-11 CVE-2014-1591

Mozilla Firefox 33.0 and SeaMonkey before 2.31 include path strings in CSP violation reports, which allows remote attackers to obtain sensitive information via a web site that receives a report after a redirect.

4.3 2014-12-11 CVE-2014-1590

The XMLHttpRequest.prototype.send method in Mozilla Firefox before 34.0, Firefox ESR 31.x before 31.3, Thunderbird before 31.3, and SeaMonkey before 2.31 allows remote attackers to cause a denial of service (application crash) via a crafted JavaScript object.

6.8 2014-12-11 CVE-2014-1589

Mozilla Firefox before 34.0 and SeaMonkey before 2.31 provide stylesheets with an incorrect primary namespace, which allows remote attackers to bypass intended access restrictions via an XBL binding.

6.8 2014-12-11 CVE-2014-1588

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 34.0 and SeaMonkey before 2.31 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via unknown vectors.

6.8 2014-12-11 CVE-2014-1587

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 34.0, Firefox ESR 31.x before 31.3, Thunderbird before 31.3, and SeaMonkey before 2.31 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via unknown vectors.

10 2014-04-30 CVE-2014-1532

Use-after-free vulnerability in the nsHostResolver::ConditionallyRefreshRecord function in libxul.so in Mozilla Firefox before 29.0, Firefox ESR 24.x before 24.5, Thunderbird before 24.5, and SeaMonkey before 2.26 allows remote attackers to execute arbitrary code or cause a denial of service (heap memory corruption) via vectors related to host resolution.

10 2014-04-30 CVE-2014-1531

Use-after-free vulnerability in the nsGenericHTMLElement::GetWidthHeightForImage function in Mozilla Firefox before 29.0, Firefox ESR 24.x before 24.5, Thunderbird before 24.5, and SeaMonkey before 2.26 allows remote attackers to execute arbitrary code or cause a denial of service (heap memory corruption) via vectors involving an imgLoader object that is not properly handled during an image-resize operation.

4.3 2014-04-30 CVE-2014-1530

The docshell implementation in Mozilla Firefox before 29.0, Firefox ESR 24.x before 24.5, Thunderbird before 24.5, and SeaMonkey before 2.26 allows remote attackers to trigger the loading of a URL with a spoofed baseURI property, and conduct cross-site scripting (XSS) attacks, via a crafted web site that performs history navigation.

9.3 2014-04-30 CVE-2014-1529

The Web Notification API in Mozilla Firefox before 29.0, Firefox ESR 24.x before 24.5, Thunderbird before 24.5, and SeaMonkey before 2.26 allows remote attackers to bypass intended source-component restrictions and execute arbitrary JavaScript code in a privileged context via a crafted web page for which Notification.permission is granted.

CWE : Common Weakness Enumeration

%idName
29% (74) CWE-399 Resource Management Errors
22% (57) CWE-119 Failure to Constrain Operations within the Bounds of a Memory Buffer
16% (41) CWE-264 Permissions, Privileges, and Access Controls
7% (19) CWE-79 Failure to Preserve Web Page Structure ('Cross-site Scripting')
5% (13) CWE-200 Information Exposure
4% (12) CWE-20 Improper Input Validation
3% (8) CWE-189 Numeric Errors
2% (7) CWE-94 Failure to Control Generation of Code ('Code Injection')
2% (5) CWE-310 Cryptographic Issues
1% (3) CWE-284 Access Control (Authorization) Issues
0% (2) CWE-16 Configuration
0% (1) CWE-682 Incorrect Calculation
0% (1) CWE-362 Race Condition
0% (1) CWE-352 Cross-Site Request Forgery (CSRF)
0% (1) CWE-287 Improper Authentication
0% (1) CWE-255 Credentials Management
0% (1) CWE-199 Information Management Errors
0% (1) CWE-17 Code

SAINT Exploits

Description Link
Firefox AttributeChildRemoved Use After Free More info here
Mozilla Firefox XMLSerializer serializeToStream Use-after-free Vulnerability More info here
Firefox crypto.generateCRMFRequest command execution More info here

Open Source Vulnerability Database (OSVDB)

id Description
77956 Mozilla Multiple Product Large OGG <video> Element Handling Remote DoS
77955 Mozilla Multiple Product for Mac DOM Frame Deletion NULL Dereference Remote C...
77954 Mozilla Multiple Product SVG Animation accessKey Event Handling Disabled Java...
77952 Mozilla Multiple Product Multiple Unspecified Remote Memory Corruption
77951 Mozilla Multiple Product YARR Regular Expression Library Javascript Parsing R...
74587 Mozilla Multiple Products Tab Element Dropping Weakness Remote Code Execution
74586 Mozilla Multiple Products RegExp.input Property Same Origin Policy Bypass Inf...
72475 Google Chrome Cross-Origin Error Message Leak Same Origin Policy Bypass

ExploitDB Exploits

id Description
34363 Firefox toString console.time Privileged Javascript Injection
30474 Firefox 5.0 - 15.0.1 - __exposedProps__ XCS Code Execution

OpenVAS Exploits

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
id Description
2013-09-18 Name : Debian Security Advisory DSA 2406-1 (icedove - several vulnerabilities)
File : nvt/deb_2406_1.nasl
2013-09-18 Name : Debian Security Advisory DSA 2457-2 (iceweasel - several vulnerabilities)
File : nvt/deb_2457_2.nasl
2013-09-18 Name : Debian Security Advisory DSA 2458-2 (iceape - several vulnerabilities)
File : nvt/deb_2458_2.nasl
2013-09-18 Name : Debian Security Advisory DSA 2513-1 (iceape - several vulnerabilities)
File : nvt/deb_2513_1.nasl
2013-09-18 Name : Debian Security Advisory DSA 2553-1 (iceweasel - several vulnerabilities)
File : nvt/deb_2553_1.nasl
2013-09-18 Name : Debian Security Advisory DSA 2583-1 (iceweasel - several vulnerabilities)
File : nvt/deb_2583_1.nasl
2013-09-18 Name : Debian Security Advisory DSA 2584-1 (iceape - several vulnerabilities)
File : nvt/deb_2584_1.nasl
2013-09-18 Name : Debian Security Advisory DSA 2588-1 (icedove - several vulnerabilities)
File : nvt/deb_2588_1.nasl
2012-12-13 Name : SuSE Update for MozillaFirefox, openSUSE-SU-2012:0760-1 (MozillaFirefox,)
File : nvt/gb_suse_2012_0760_1.nasl
2012-12-13 Name : SuSE Update for MozillaFirefox openSUSE-SU-2012:0899-1 (MozillaFirefox)
File : nvt/gb_suse_2012_0899_1.nasl
2012-12-13 Name : SuSE Update for MozillaThunderbird openSUSE-SU-2012:0917-1 (MozillaThunderbird)
File : nvt/gb_suse_2012_0917_1.nasl
2012-12-13 Name : SuSE Update for xulrunner openSUSE-SU-2012:0924-1 (xulrunner)
File : nvt/gb_suse_2012_0924_1.nasl
2012-12-13 Name : SuSE Update for seamonkey openSUSE-SU-2012:0935-1 (seamonkey)
File : nvt/gb_suse_2012_0935_1.nasl
2012-12-13 Name : SuSE Update for MozillaFirefox openSUSE-SU-2012:1064-1 (MozillaFirefox)
File : nvt/gb_suse_2012_1064_1.nasl
2012-12-13 Name : SuSE Update for MozillaFirefox openSUSE-SU-2012:1345-1 (MozillaFirefox)
File : nvt/gb_suse_2012_1345_1.nasl
2012-12-13 Name : SuSE Update for Mozilla Suite openSUSE-SU-2012:1412-1 (Mozilla Suite)
File : nvt/gb_suse_2012_1412_1.nasl
2012-12-06 Name : Fedora Update for seamonkey FEDORA-2012-18931
File : nvt/gb_fedora_2012_18931_seamonkey_fc16.nasl
2012-12-06 Name : Fedora Update for seamonkey FEDORA-2012-18952
File : nvt/gb_fedora_2012_18952_seamonkey_fc17.nasl
2012-12-04 Name : Ubuntu Update for firefox USN-1638-3
File : nvt/gb_ubuntu_USN_1638_3.nasl
2012-11-26 Name : FreeBSD Ports: firefox
File : nvt/freebsd_firefox72.nasl
2012-11-26 Name : Mozilla Firefox ESR Multiple Vulnerabilities-01 November12 (Windows)
File : nvt/gb_mozilla_firefox_esr_mult_vuln01_nov12_win.nasl
2012-11-26 Name : Mozilla Firefox Multiple Vulnerabilities-01 November12 (Mac OS X)
File : nvt/gb_mozilla_prdts_mult_vuln01_nov12_macosx.nasl
2012-11-26 Name : Mozilla Firefox Multiple Vulnerabilities-01 November12 (Windows)
File : nvt/gb_mozilla_prdts_mult_vuln01_nov12_win.nasl
2012-11-26 Name : Mozilla Firefox Multiple Vulnerabilities-02 November12 (Mac OS X)
File : nvt/gb_mozilla_prdts_mult_vuln02_nov12_macosx.nasl
2012-11-26 Name : Mozilla Firefox Multiple Vulnerabilities-02 November12 (Windows)
File : nvt/gb_mozilla_prdts_mult_vuln02_nov12_win.nasl

Information Assurance Vulnerability Management (IAVM)

id Description
2014-A-0064 Multiple Vulnerabilities in Mozilla Products
Severity: Category I - VMSKEY: V0050011
2014-A-0043 Multiple Vulnerabilities in Mozilla Products
Severity: Category I - VMSKEY: V0046769
2014-A-0021 Multiple Vulnerabilities in Mozilla Products
Severity: Category I - VMSKEY: V0043921
2013-A-0233 Multiple Vulnerabilities in Mozilla Products
Severity: Category I - VMSKEY: V0042596
2013-A-0220 Multiple Vulnerabilities in Mozilla Products
Severity: Category I - VMSKEY: V0042380
2013-A-0203 Multiple Vulnerabilities in Mozilla Products
Severity: Category I - VMSKEY: V0041365
2012-A-0189 Multiple Vulnerabilities in VMware ESXi 4.1 and ESX 4.1
Severity: Category I - VMSKEY: V0035032

Snort® IPS/IDS

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
Date Description
2019-10-08 Mozilla Thunderbird input filter bypass cross site scripting attempt
RuleID : 51405 - Type : SERVER-MAIL - Revision : 1
2018-01-18 Multiple browser pressure function denial of service attempt
RuleID : 45206 - Type : BROWSER-FIREFOX - Revision : 3
2017-03-01 Mozilla Firefox generatecrmfrequest policy function call access attempt
RuleID : 41423 - Type : BROWSER-PLUGINS - Revision : 3
2017-03-01 Mozilla Firefox generatecrmfrequest policy function call access attempt
RuleID : 41422 - Type : BROWSER-PLUGINS - Revision : 3
2016-03-15 Mozilla Firefox IDL fragment privilege escalation attempt
RuleID : 37626 - Type : BROWSER-FIREFOX - Revision : 2
2015-09-23 Mozilla Firefox generatecrmfrequest policy function call access attempt
RuleID : 35686 - Type : BROWSER-PLUGINS - Revision : 3
2015-09-23 Mozilla Firefox generatecrmfrequest policy function call access attempt
RuleID : 35685 - Type : BROWSER-PLUGINS - Revision : 3
2015-09-08 Mozilla Firefox InstallWrapper error handling code execution attempt
RuleID : 35461 - Type : BROWSER-FIREFOX - Revision : 2
2015-09-08 Mozilla Firefox InstallWrapper error handling code execution attempt
RuleID : 35460 - Type : BROWSER-FIREFOX - Revision : 2
2015-08-04 Mozilla Firefox IDL fragment privilege escalation attempt
RuleID : 35052 - Type : BROWSER-FIREFOX - Revision : 2
2015-08-04 Mozilla Firefox IDL fragment privilege escalation attempt
RuleID : 35051 - Type : BROWSER-FIREFOX - Revision : 2
2015-05-19 Mozilla Firefox proxy prototype privileged javascript execution attempt
RuleID : 34110 - Type : BROWSER-FIREFOX - Revision : 4
2015-05-19 Mozilla Firefox proxy prototype privileged javascript execution attempt
RuleID : 34109 - Type : BROWSER-FIREFOX - Revision : 4
2015-04-28 Mozilla Firefox proxy prototype privileged javascript execution attempt
RuleID : 33904 - Type : BROWSER-FIREFOX - Revision : 4
2015-04-28 Mozilla Firefox proxy prototype privileged javascript execution attempt
RuleID : 33903 - Type : BROWSER-FIREFOX - Revision : 4
2015-02-11 Mozilla Firefox XMLSerializer serializeToStream use-after-free attempt
RuleID : 32994 - Type : BROWSER-FIREFOX - Revision : 6
2015-02-11 Mozilla Firefox XMLSerializer serializeToStream use-after-free attempt
RuleID : 32993 - Type : BROWSER-FIREFOX - Revision : 6
2014-11-16 Multiple browser pressure function denial of service attempt
RuleID : 31513 - Type : BROWSER-FIREFOX - Revision : 3
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29546 - Type : FILE-MULTIMEDIA - Revision : 4
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29545 - Type : FILE-MULTIMEDIA - Revision : 4
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29544 - Type : FILE-MULTIMEDIA - Revision : 4
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29543 - Type : FILE-MULTIMEDIA - Revision : 4
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29542 - Type : FILE-MULTIMEDIA - Revision : 3
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29541 - Type : FILE-MULTIMEDIA - Revision : 3
2014-03-06 WAV processing buffer overflow attempt
RuleID : 29540 - Type : FILE-MULTIMEDIA - Revision : 3

Nessus® Vulnerability Scanner

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
id Description
2016-05-18 Name: The remote device is missing a vendor-supplied security patch.
File: f5_bigip_SOL16716.nasl - Type: ACT_GATHER_INFO
2016-03-04 Name: The remote VMware ESX / ESXi host is missing a security-related patch.
File: vmware_esx_VMSA-2013-0015_remote.nasl - Type: ACT_GATHER_INFO
2016-02-29 Name: The remote VMware ESX / ESXi host is missing a security-related patch.
File: vmware_VMSA-2012-0016_remote.nasl - Type: ACT_GATHER_INFO
2015-08-26 Name: The remote FreeBSD host is missing a security-related update.
File: freebsd_pkg_40497e81fee34e549d5f175a5c633b73.nasl - Type: ACT_GATHER_INFO
2015-05-26 Name: The remote openSUSE host is missing a security update.
File: openSUSE-2015-374.nasl - Type: ACT_GATHER_INFO
2015-05-26 Name: The remote openSUSE host is missing a security update.
File: openSUSE-2015-375.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2012-1351-1.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2013-0306-1.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2013-0850-1.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2014-0665-1.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2014-0665-2.nasl - Type: ACT_GATHER_INFO
2015-05-20 Name: The remote SUSE host is missing one or more security updates.
File: suse_SU-2014-0727-1.nasl - Type: ACT_GATHER_INFO
2015-05-19 Name: The remote CentOS host is missing a security update.
File: centos_RHSA-2015-1012.nasl - Type: ACT_GATHER_INFO
2015-05-19 Name: The remote Oracle Linux host is missing a security update.
File: oraclelinux_ELSA-2015-1012.nasl - Type: ACT_GATHER_INFO
2015-05-19 Name: The remote Red Hat host is missing one or more security updates.
File: redhat-RHSA-2015-1012.nasl - Type: ACT_GATHER_INFO
2015-05-14 Name: The remote Windows host contains a mail client that is affected by multiple v...
File: mozilla_thunderbird_31_7.nasl - Type: ACT_GATHER_INFO
2015-05-13 Name: The remote Debian host is missing a security-related update.
File: debian_DSA-3260.nasl - Type: ACT_GATHER_INFO
2015-05-13 Name: The remote FreeBSD host is missing one or more security-related updates.
File: freebsd_pkg_d9b43004f5fd4807b1d7dbf66455b244.nasl - Type: ACT_GATHER_INFO
2015-05-13 Name: The remote Windows host contains a web browser that is affected by multiple v...
File: mozilla_firefox_31_7_esr.nasl - Type: ACT_GATHER_INFO
2015-05-13 Name: The remote Windows host contains a web browser that is affected by multiple v...
File: mozilla_firefox_38_0.nasl - Type: ACT_GATHER_INFO
2015-04-08 Name: The remote Gentoo host is missing one or more security-related patches.
File: gentoo_GLSA-201504-01.nasl - Type: ACT_GATHER_INFO
2015-04-01 Name: The remote Mac OS X host contains a web browser that is affected by multiple ...
File: macosx_firefox_31_6_esr.nasl - Type: ACT_GATHER_INFO
2015-04-01 Name: The remote Mac OS X host contains a web browser that is affected by multiple ...
File: macosx_firefox_37.nasl - Type: ACT_GATHER_INFO
2015-04-01 Name: The remote Windows host contains a web browser that is affected by multiple v...
File: mozilla_firefox_31_6_esr.nasl - Type: ACT_GATHER_INFO
2015-04-01 Name: The remote Windows host contains a web browser that is affected by multiple v...
File: mozilla_firefox_37_0.nasl - Type: ACT_GATHER_INFO